#include <stdio.h>

/* Board */
#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

int main(void) {
    BOARD_ConfigMPU();

    BOARD_InitBootPins();
    BOARD_InitBootClocks();
    BOARD_InitBootPeripherals();

    BOARD_InitDebugConsole();

    CLOCK_SetMode(kCLOCK_ModeRun);

    printf("CPU frequency: %d\r\n", CLOCK_GetCoreSysClkFreq());

    for (;;) {
        __WFI();
    }
}
